Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 26 Jul 2014, 05:30
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
How to install Google Talk plug-in ???
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [15 Posts]  
Author Message
FulciLives


Joined: 16 Sep 2012
Posts: 3
Location: Pittsburgh, PA USA

PostPosted: Sun 16 Sep 2012, 13:14    Post subject:  How to install Google Talk plug-in ???  

Hello!

Is there a way to install the Google Talk plug-in so that I can make phone calls from gmail or use Google+ hangouts?

Google offers me 32-bit/64-bit *.deb and *.rpm packages but I'm guessing neither will work with Puppy.

I'm using Slacko Puppy version 5.3.3

I should point out that I installed Skype and that is working correctly so my cam and sound hardware seems to be well supported.

I just need a way to install that Google Talk plug-in (I'm assuming there is a way)

*** EDIT ***
I guess I should add that I've installed Google Chrome and so that is the browser that I'm using now.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 16 Sep 2012, 13:40    Post subject:  

I have created that plugin as pet once. I use Firefox and it was tested in it.

http://www.smokey01.com/pemasu/pet_packages-exprimo/google-talk-plugin-0.0.1.pet
Back to top
View user's profile Send private message 
FulciLives


Joined: 16 Sep 2012
Posts: 3
Location: Pittsburgh, PA USA

PostPosted: Sun 16 Sep 2012, 14:25    Post subject:  

I very much appreciate the reply and I installed your PET file but it still doesn't want to work.

The odd thing is ... if I go into the plugins area under Google Chrome it says that the Google Talk plug-in is there but under gmail, where you set it up (pick your mic input etc.) it gives a msg saying that I can install it. So it seems to think it isn't installed.

I did install FireFox even though I barely use it but it keeps crashing on me as soon as I try to go to gmail LOL

Very weird. And yes I tried to reboot to see if that would clear anything up but it did not.

One thing I did do (before asking here) ... and I admit this might have been dumb ... but I tried installing the DEB file that Google offers, even though I assume those don't work with Puppy.

Ironically Puppy said it installed OK so I dunno ... maybe doing that was a bad idea and is causing the problem now?

It surely didn't work before and now that I've installed the PET file, well, it still is not working, so I mention trying to install the DEB in case that might have fracked things up somehow.

I'm still new to Linux (played around a bit with Ubuntu and Linux Mint) and I'm even newer to Puppy. In short my Linux skills aren't great.
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3561
Location: World_Hub

PostPosted: Sun 16 Sep 2012, 15:25    Post subject:  

According to pkgs.org- you should have the option to install from Pups pacman.
Back to top
View user's profile Send private message 
FulciLives


Joined: 16 Sep 2012
Posts: 3
Location: Pittsburgh, PA USA

PostPosted: Sun 16 Sep 2012, 16:02    Post subject:  

Semme wrote:
According to pkgs.org- you should have the option to install from Pups pacman.

Well I tried using the Puppy Install function (that comes on the desktop) and selecting the Puppy Package Manger. In fact this is how I installed Google Chrome.

But typing in "Google" only brings up Google Chrome. I see nothing for just the Google Talk plug-in (or anything else Google).

Keep trying to go to Gmail under FireFox and it just force closes. I have no idea what that is about LOL
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sun 16 Sep 2012, 16:05    Post subject:  

Just tested that google talk plugin with Firefox inside gmail account. It worked just fine in my dpup exprimo.
I called my cell phone and it ringed. Didnt test further, didnt want to use my couple of euros in that account.
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3561
Location: World_Hub

PostPosted: Sun 16 Sep 2012, 16:07    Post subject:  

Then I'm guessing your repos aren't configured properly.

In PPM there's the choice to select the ones you want..

==

And if you run from a console: ldd /opt/google/talkplugin/GoogleTalkPlugin

.. of course you'll get cmd not found. You need this here <yes, a deb> pkg.

Were any libs not found?

==

FF crashing suggests you're not running swap if installed to the hd.

Do you have enough RAM? This a frugal install (via savefile)?
Back to top
View user's profile Send private message 
irishrm


Joined: 14 Mar 2009
Posts: 208

PostPosted: Sun 16 Sep 2012, 16:12    Post subject:  

Install chrome or chromium,join google+ and follow instructions.

The .deb will install in any ubuntu based puppy.
expremo,precise and probably lucid.

irishrm.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 4990
Location: Charleston S.C. USA

PostPosted: Sun 16 Sep 2012, 23:36    Post subject:  

I would look in the Puppy Package Manager list of installed packages for Google talk.
If it is there left click on it to uninstall.
Now do the install of the Google Talk pet package pemasu posted.

You could be correct that the two different packages of the program broke each other.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
Jim1938

Joined: 21 Nov 2012
Posts: 10

PostPosted: Wed 21 Nov 2012, 14:57    Post subject:  

Background:
I been using Linux since 2005. Nothing fancy, usually Ubuntu.
i resently built pc. 64-bit. 4GB RAM, 0.5TB HDD.
I've run Crunchbang 10 and other OSs on it, so I know hardware works.
I want a 3.x kernel and no duel boot, just one OS.

Looking for a fast OS that also does Google Talk.

Now I'm running Saluki from CD, testing.
And Skype 2.x works.
I tried pemasu's suggestion.
Funny thing happened. -- Chrome dies in about 5 seconds.
Google Talk on Firefox. -- It asks for the plugin.
PPM shows G-T plugin is installed.

Would Precise Puppy be a better choice,
since it may be more Debian friendly?

Saw an interesting YouTube presentation @
http://www.youtube.com/watch?v=UhNw7mfCez8
It was on Vector Linux (Slackware) downloading an RPM
and installing G-T. It was a bit over my head.
Maybe this would work with Slacko.
Maybe it is applicable to Saluki and Precise.

Since I'm still in testing, I'm very open to suggestions.
Please throw this old dog a bone.

Thanks in advance...
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 21 Nov 2012, 16:47    Post subject:  

I tested google talk plugin with Upup Precise.
It seemed to need lsb_release python script for version information.

I added it to the pet. Google talk plugin with firefox made phone call to my cell phone.

You get firefox-16.02 and google-talk-plugin from this repo:
http://www.smokey01.com/pemasu/pet_packages-upup/
Back to top
View user's profile Send private message 
Jim1938

Joined: 21 Nov 2012
Posts: 10

PostPosted: Wed 21 Nov 2012, 18:19    Post subject:  

Still running Saluki via CD.
No reboot.
Updated Firefox to 17.0 from Firefox Help.
Restarted Firefox.
Removed my plugin using ppm.
Downloaded your plugin.
Installed your plugin.
Firefox still asks for the plugin.
Restarted Firefox and still no go.
What am I missing?
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Wed 21 Nov 2012, 18:22    Post subject:  

You missed that I used Precise Puppy based puplet, not Saluki.
Back to top
View user's profile Send private message 
Jim1938

Joined: 21 Nov 2012
Posts: 10

PostPosted: Thu 22 Nov 2012, 02:17    Post subject:  

I booted Precise 5.4 CD.
Installed Firefox 16 (which BTW was called Nightly).
No go. -- Asked for plugin and I don't know how to answer.

Fired up Seamonkey -- I was able to call out. 'Very Happy'

Now with Precise I must start over from the top of my list of requirements.
Virtual Box
Skype
Java Webstart
2 language keyboard ...

This old dog can still learn new tricks.

Many thanks for the bones
Jim b. 1938
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Thu 22 Nov 2012, 02:46    Post subject:  

You were right. Google-talk-plugin works in Seamonkey also. I didnt know that. Now I know.
Thanks of the info.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [15 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0770s ][ Queries: 12 (0.0085s) ][ GZIP on ]